import '!file-loader?name=schema.4.0.0.json!./schema.json';
export declare const SCHEMA_REF = "https://lineup.js.org/develop/schema.4.0.0.json";
export interface IColumnDump {
    id: string;
    width?: number;
    desc: any;
    label?: string;
    renderer?: string;
    /**
     * @deprecated
     */
    rendererType?: string;
    groupRenderer?: string;
    summaryRenderer?: string;
    [key: string]: any;
}
export interface IRankingDump {
    /**
     * columsn of this ranking
     */
    columns?: IColumnDump[];
    /**
     * sort criteria
     */
    sortCriteria?: {
        asc: boolean;
        sortBy: string;
    }[];
    /**
     * group sort criteria
     */
    groupSortCriteria?: {
        asc: boolean;
        sortBy: string;
    }[];
    /**
     * uids of group columns
     */
    groupColumns?: string[];
    /**
     * compatability
     * @deprecated
     */
    sortColumn?: {
        sortBy: string;
        asc: boolean;
    };
}
export interface IDataProviderDump {
    '$schema'?: string;
    /**
     * base for generating new uids
     */
    uid?: number;
    /**
     * current selection
     */
    selection?: number[];
    /**
     * list of aggregated group paths
     */
    aggregations?: string[];
    /**
     * ranking dumps
     */
    rankings?: IRankingDump[];
}
